Subject: Re: bug#76993: Init files and UTF-8

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Mar 2025 09:52:18 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 13 Mar 2025 00:06:45 -0700
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Is the above only true on some platforms?
> >
> > What matters is the locale's codeset, not the platform.  Though it is
> > true that most users of most platforms except Windows use UTF-8 these
> > days, I know of at least some users of GNU/Linux who still set up
> > their systems to use non-UTF-8 encoding.
> 
> Sure, I can see that some people will do that.
> 
> They will run into all kinds of fun, I'm sure, and not just in Emacs.

Emacs should fully support such a setup.  The fact that it works on
MS-Windows is the best evidence to that effect.

> >> Should that be noted, or should it be moved to some platform
> >> specific documentation?
> >
> > We could do that, but is that worth the hassle?
> >
> >  . having a coding cookie can do no harm
> >  . having a coding cookie makes the init file portable and usable from
> >    several different systems with no subtle problems
> 
> The main hassle is not the coding cookie, but the complication of having
> an entire section in the documentation.  I was thinking that perhaps we
> could spare our users that.
> 
> The portability argument is fair enough.  Maybe this suggests that this
> might no longer warrant a section in the manual and could be moved to
> (for example) the MS-Windows FAQ, or something?

The section about key bindings in init files will be incomplete
without that information.  This was written in response to real
problems people had in real use cases.

We could move it into a sub-subsection of "Init Examples", which will
move it out of the way to some extent.

> Maybe this "small minority of cases" part could be clarified without
> getting into the details.  The section reads to me as if it's always a
> problem, which seems misleading.

Feel free to suggest changes in wording to make it less scary and
misleading.